Subject: Re: bug#79144: [PATCH] New debugger-trap function to break to GDB

From: Jim Porter <[email-masked]>
Date: Fri, 1 Aug 2025 19:54:03 -0700

On 8/1/2025 4:19 PM, Jeremy Bryant via Bug reports for GNU Emacs, the 
Swiss army knife of text editors wrote:
> Here is a patch to add a default command debugger-trap to break into
> GDB, together with a default breakpoint set in .gdbinit
> The immediate benefit for developers is a standard command to use where
> there isn't one at the moment, as explained in DEBUG, only general guidance.

This looks like a good idea. It might be useful to document more 
thoroughly that this is for setting a breakpoint in GDB and friends, 
rather than in the Elisp debugger. (Unless the plan is to support the 
Elisp debugger too somehow?)